CI 묻고 답하기

제목 CI 4 와 PHP8.0 에서 첫 구동 404 - page not found
카테고리 CI4 관련
글쓴이 geollll2 작성시각 2021/01/19 02:34:45
댓글 : 3 추천 : 0 스크랩 : 0 조회수 : 439   RSS

안녕하세요, PHP 개발자를 지망하는 백수입니다.

 

현재 Apache 2.4 와 PHP 8.0(CI 4.0.4)를 이용해서 쇼핑몰 제작을 해볼까 합니다.

그런데 첫 시작부터 난관이네요ㅜ

 

처음엔 잘 모르다가.. 이리저리 헤맸는데,

CI 프로젝트를 진행하는 곳이 bcit-ci/와 codeigniter4/가 있던데 저는 codeigniter4/codeigniter4 를 이용했습니다.

 

일단, 기본적인 세팅은 모두 완료된 것 같아서 (intl 등등 설정)

php spark serve를 이용해서 로컬 개발환경을 이용해보려고 했는데 안되덥니다. 

에러의 원인이 있어서 찾아보니, 코어 쪽 오류인지 깃허브에 이슈로 등록이 되있는 것을 확인했습니다.

 

그래서 이슈를 확인하니 브랜치에 살펴보니 php8 에서 작동하는 브랜치가 있더군요

코드를 clone 으로 받아와서 브랜치를 develop에서 php8로 이동시킨 후, 코드를 모두 복사하여 프로젝트 폴더 아래로 이동시키고

php spark serve를 하니 일단 에러는 나타나진 않고 작동이 되는 것을 확인했습니다.

 

여기서부터가 문제인데,

localhost:8080 으로 작동시키면 로컬개발환경에서 기본적인 Home.php 에서 welcome_message.php 뷰를 바인딩하는 것 같았습니다.

그런데 제 환경에서 404 - File Not Found 라고 뜨면서 자꾸 CI가 애원하는 페이지를 띄워줍니다.

 

https://github.com/codeigniter4/CodeIgniter4/issues/3980

해당 이슈에선 1~2주 전 쯤 안되다가 php8에서 최근 수정되었다고 합니다.

 

확인할 방법이 없어서 여기 선배님들에게 남겨드립니다.

아니면 확인해볼만한 뭔가 방법이 있을까요? 숙제로 하겠습니다. 부탁드립니다.

 다음글 CI3으로 현재 간단한 게시판 제작중인데요. (8)
 이전글 CI4 + Nginx 설치 후 에러가 나는 현상에 대해... (4)

댓글

geollll2 / 2021/01/19 03:01:09 / 추천 0

자답합니다..

php_7.4.8 버전으로 낮추고 composer를 이용하여 프로젝트를 설치하니 잘 되었습니다.

PureAni / 2021/01/19 09:02:32 / 추천 0

CI4 에서 php8 을 정식적으로 지원하는 버전은 4.1 버전이 될 예정입니다.

4.1이 나오기 전까지는 php7버전 사용하셔야 합니다.

테러보이 / 2021/01/19 10:36:36 / 추천 0

php 8은 미지원입니다.